let
	nixpkgs = import <nixpkgs-stable>;

	buildPath = path:
		{system ? builtins.currentSystem}:
			let
				nixpkgsWithOverlays = nixpkgs {
					inherit system;
					overlays = [
						(import ../default.nix)
					];
				};
			in
				nixpkgsWithOverlays.lib.getAttrFromPath path nixpkgsWithOverlays;

	fakeOverlay = (import ../default.nix) null null;
	packages = builtins.attrNames fakeOverlay.morepkgs;
	generateBuilder = packageName: buildPath ["morepkgs" packageName];

	generatePackagePair = packageName: {
		name = packageName;
		value = generateBuilder packageName;
	};

	jobs = builtins.listToAttrs (map generatePackagePair packages);
in jobs
